#ifndef __FONT_INFO_SUB_H__
#define __FONT_INFO_SUB_H__

struct font_table_t {
	int size;
	struct font_t141_t {
		char *t12;		/* フォント名 */
		int t13;		/* フォントID */
		char *t703;		/* spacing */
		char *t249;		/* 文字一覧 */
		struct font_t143_t {
			int link_count;		/* 参照回数 */
			int size;
			struct font_t22_t {	/* 文字矩形領域座標 */
				int t3;			/* 左端X座標 */
				int t4;			/* 上端Y座標 */
				int t5;			/* 右端X座標 */
				int t6;			/* 下端Y座標 */
			} *t22;
		} *t143;
		struct font_t248_t {
			char *t7;		/* path */
		} t248;

		int ref_t13;	/* 参照先フォントID */
	} *t141;
};

struct font_charset_t {
	int size;
	int used;
	int charset_str_len;
	struct font_char_rect_t {
		unsigned long code;
		int left;
		int top;
		int right;
		int bottom;
	} *rect;
};

struct rect_file_table_t {
	int size;
	struct rect_file_info_t {
		int index;
		char *rect_file;
		struct font_charset_t charset;
	} *table;
};


extern void free_font_info(struct font_table_t *font_table);
extern const struct font_t141_t *find_font(const struct font_table_t *font_table, int t13);
extern int read_font_info(struct font_table_t *font_table, const char *filename);
extern void free_font_charset(struct font_charset_t *charset);
extern int add_rect_file(struct rect_file_table_t *rect_file_table, int index, char *rect_file);
extern struct rect_file_info_t *find_rect_file_info(struct rect_file_table_t *rect_file_table, int index);
extern int read_char_rect(struct font_charset_t *charset, const char *filename);
extern int convert_font_charset(struct font_t141_t *t141, const struct font_charset_t *charset);
extern int convert_font_rect(struct rect_file_table_t *rect_file_table, const struct font_table_t *font_table);
extern int get_path_index(const char *path);


#endif	/* __FONT_INFO_SUB_H__ */
