#! /bin/sh

make_font_png_cmd=./make_font_png
make_font_png_bdf_cmd=./make_font_png_bdf
out_dir=FONT_WORK

if [ ! -d $out_dir ]
then
	mkdir -p $out_dir
fi

$make_font_png_cmd "IPAexゴシック"     14 charset_jis.txt         $out_dir/gothic_14.png        $out_dir/gothic_14.txt        -w 3                  --size 2048 2560 --spacing 1
$make_font_png_cmd "IPAexゴシック"     23 charset_jis.txt         $out_dir/gothic_23.png        $out_dir/gothic_23.txt        -w 3        --shadow  --size 3072 4096 --spacing 1
$make_font_png_cmd "IPAexゴシック"     28 charset_jis.txt         $out_dir/gothic_28.png        $out_dir/gothic_28.txt        -w 3        --shadow  --size 4096 4096 --spacing 1

$make_font_png_cmd "TTEdit2/3ゴシック" 33 charset_ttedit2by3.txt  $out_dir/gothic_2by3_33.png   $out_dir/gothic_2by3_33.txt   -w 3 --bold --shadow  --size 4096 3200 --spacing 1

$make_font_png_cmd "IPAex明朝"         16 charset_jis.txt         $out_dir/mincho_black_16.png  $out_dir/mincho_black_16.txt  -w 1                  --size 2048 3072 --spacing 1 -c 0 0 0 255
$make_font_png_cmd "IPAex明朝"         20 charset_jis.txt         $out_dir/mincho_black_20.png  $out_dir/mincho_black_20.txt  -w 1                  --size 2048 4096 --spacing 1 -c 0 0 0 255
$make_font_png_cmd "IPAex明朝"         25 charset_jis.txt         $out_dir/mincho_black_25.png  $out_dir/mincho_black_25.txt  -w 1                  --size 4096 4096 --spacing 1 -c 0 0 0 255
$make_font_png_cmd "IPAex明朝"         28 charset_jis.txt         $out_dir/mincho_black_28.png  $out_dir/mincho_black_28.txt  -w 1                  --size 4096 4096 --spacing 1 -c 0 0 0 255
$make_font_png_cmd "IPAex明朝"         60 charset_jis.txt         $out_dir/mincho_black_60.png  $out_dir/mincho_black_60.txt  -w 1                  --size 6000 8500 --spacing 1 -c 0 0 0 255

$make_font_png_cmd "IPAex明朝"         28 charset_jis.txt         $out_dir/mincho_shadow_28.png $out_dir/mincho_shadow_28.txt      --bold --shadow2 --size 4096 4096 --spacing 1
$make_font_png_cmd "IPAex明朝"         35 charset_jis.txt         $out_dir/mincho_shadow_35.png $out_dir/mincho_shadow_35.txt      --bold --shadow2 --size 4096 5500 --spacing 1

$make_font_png_cmd "しねきゃぷしょん"  29 charset_cinecaption.txt $out_dir/cinecap_white_29.png $out_dir/cinecap_white_29.txt -w 0                  --size 2048 2560 --spacing 1

$make_font_png_cmd "しねきゃぷしょん"  17 charset_cinecaption.txt $out_dir/cinecap_black_17.png $out_dir/cinecap_black_17.txt -w 0 --bold           --size 1024 2048 --spacing 1 -c 0 0 0 255

$make_font_png_cmd "しねきゃぷしょん"  28 charset_cinecaption.txt $out_dir/cinecap_alt_28.png   $out_dir/cinecap_alt_28.txt   -w 1.5                --size 2048 2560 --spacing 1
$make_font_png_cmd "しねきゃぷしょん"  30 charset_cinecaption.txt $out_dir/cinecap_alt_30.png   $out_dir/cinecap_alt_30.txt   -w 1.5                --size 2048 3072 --spacing 1

$make_font_png_cmd "しねきゃぷしょん"  18 charset_cinecaption.txt $out_dir/cinecap_18.png       $out_dir/cinecap_18.txt       -w 2        --shadow  --size 2048 2048 --spacing 1
$make_font_png_cmd "しねきゃぷしょん"  26 charset_cinecaption.txt $out_dir/cinecap_26.png       $out_dir/cinecap_26.txt       -w 3        --shadow  --size 4096 2048 --spacing 1
$make_font_png_cmd "しねきゃぷしょん"  29 charset_cinecaption.txt $out_dir/cinecap_29.png       $out_dir/cinecap_29.txt       -w 3        --shadow  --size 2048 3200 --spacing 1

$make_font_png_bdf_cmd misaki_gothic.bdf charset_kana.txt $out_dir/pixel_white.png $out_dir/pixel_white.txt --scale 3.35 --border-width 4 --dot-width 1.3 --dot-height 1.1 --padding-top 10 --spacing 1 --shadow --force-proportional --size 512 512
$make_font_png_bdf_cmd misaki_gothic.bdf charset_kana.txt $out_dir/pixel_black.png $out_dir/pixel_black.txt --scale 3.35                  --dot-width 1.3 --dot-height 1.1 --padding-top 10 --spacing 1          --force-proportional --size 512 512 -c 0 0 0 255
