#! /bin/sh

relocate_font_png_cmd=../relocate_font_png
mask_png_cmd=../mask_png
modify_font_info_cmd=../modify_font_info

orig_dir=ORIG_DATA_UNMASKED
in_dir=FONT_WORK
out_dir=FONT_MERGED
masked_dir=FONT_NEW

rect_standard=system_standard.txt
rect_options=system_options.txt
# rect_small=system_small.txt
rect_diary=system_diary.txt
rect_diary_headline=system_diary_headline.txt
rect_options_small=system_options_small.txt

charset_orig_standard=charset_orig_standard.txt
charset_orig_options=charset_orig_options.txt
# charset_orig_small=charset_orig_small.txt
charset_orig_diary=charset_orig_diary.txt
charset_orig_diary_headline=charset_orig_diary_headline.txt
charset_orig_options_small=charset_orig_options_small.txt
charset_ja=charset_ja.txt

in_font_cfg=font.cfg
out_font_cfg=font_new.cfg
list_file=rect_list.txt

if [ ! -d $out_dir ]
then
	mkdir -p $out_dir
fi

$relocate_font_png_cmd --overwrap $orig_dir/01380.system_standard.png          $orig_dir/01380.txt -a $in_dir/01380.system_standard.png          $in_dir/$rect_standard       $out_dir/01380.system_standard.png          $out_dir/01380.txt --size 2048 2560 --sort --charset $charset_orig_standard       --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01381.system_standard_new.png      $orig_dir/01381.txt -a $in_dir/01381.system_standard_new.png      $in_dir/$rect_standard       $out_dir/01381.system_standard_new.png      $out_dir/01381.txt --size 2048 2560 --sort --charset $charset_orig_standard       --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01382.system_standard_disabled.png $orig_dir/01382.txt -a $in_dir/01382.system_standard_disabled.png $in_dir/$rect_standard       $out_dir/01382.system_standard_disabled.png $out_dir/01382.txt --size 2048 2560 --sort --charset $charset_orig_standard       --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01383.system_options.png           $orig_dir/01383.txt -a $in_dir/01383.system_options.png           $in_dir/$rect_options        $out_dir/01383.system_options.png           $out_dir/01383.txt --size 2048 2560 --sort --charset $charset_orig_options        --charset $charset_ja
# $relocate_font_png_cmd --overwrap $orig_dir/01384.system_small.png             $orig_dir/01384.txt -a $in_dir/01384.system_small.png             $in_dir/$rect_small          $out_dir/01384.system_small.png             $out_dir/01384.txt --size 2048 1200 --sort --charset $charset_orig_small          --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01386.player_standard.png          $orig_dir/01386.txt -a $in_dir/01386.player_standard.png          $in_dir/$rect_standard       $out_dir/01386.player_standard.png          $out_dir/01386.txt --size 2048 2560 --sort --charset $charset_orig_standard       --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01387.player_dialog_active.png     $orig_dir/01387.txt -a $in_dir/01387.player_dialog_active.png     $in_dir/$rect_standard       $out_dir/01387.player_dialog_active.png     $out_dir/01387.txt --size 2048 2560 --sort --charset $charset_orig_standard       --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01388.nuri_standard.png            $orig_dir/01388.txt -a $in_dir/01388.nuri_standard.png            $in_dir/$rect_standard       $out_dir/01388.nuri_standard.png            $out_dir/01388.txt --size 2048 2560 --sort --charset $charset_orig_standard       --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01389.player_inner_voice.png       $orig_dir/01389.txt -a $in_dir/01389.player_inner_voice.png       $in_dir/$rect_standard       $out_dir/01389.player_inner_voice.png       $out_dir/01389.txt --size 2048 2560 --sort --charset $charset_orig_standard       --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01390.rabe_standard.png            $orig_dir/01390.txt -a $in_dir/01390.rabe_standard.png            $in_dir/$rect_standard       $out_dir/01390.rabe_standard.png            $out_dir/01390.txt --size 2048 2560 --sort --charset $charset_orig_standard       --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01391.system_diary.png             $orig_dir/01391.txt -a $in_dir/01391.system_diary.png             $in_dir/$rect_diary          $out_dir/01391.system_diary.png             $out_dir/01391.txt --size 2048 2560 --sort --charset $charset_orig_diary          --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01392.system_diary_headline.png    $orig_dir/01392.txt -a $in_dir/01392.system_diary_headline.png    $in_dir/$rect_diary_headline $out_dir/01392.system_diary_headline.png    $out_dir/01392.txt --size 2048 2560 --sort --charset $charset_orig_diary_headline --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01393.system_menu.png              $orig_dir/01393.txt -a $in_dir/01393.system_menu.png              $in_dir/$rect_options        $out_dir/01393.system_menu.png              $out_dir/01393.txt --size 2048 2560 --sort --charset $charset_orig_options        --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01394.system_menu_disabled.png     $orig_dir/01394.txt -a $in_dir/01394.system_menu_disabled.png     $in_dir/$rect_options        $out_dir/01394.system_menu_disabled.png     $out_dir/01394.txt --size 2048 2560 --sort --charset $charset_orig_options        --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01395.system_menu_headline.png     $orig_dir/01395.txt -a $in_dir/01395.system_menu_headline.png     $in_dir/$rect_options        $out_dir/01395.system_menu_headline.png     $out_dir/01395.txt --size 2048 2560 --sort --charset $charset_orig_options        --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01396.system_options_disabled.png  $orig_dir/01396.txt -a $in_dir/01396.system_options_disabled.png  $in_dir/$rect_options        $out_dir/01396.system_options_disabled.png  $out_dir/01396.txt --size 2048 2560 --sort --charset $charset_orig_options        --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01397.blau_standard.png            $orig_dir/01397.txt -a $in_dir/01397.blau_standard.png            $in_dir/$rect_standard       $out_dir/01397.blau_standard.png            $out_dir/01397.txt --size 2048 2560 --sort --charset $charset_orig_standard       --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01398.braun_standard.png           $orig_dir/01398.txt -a $in_dir/01398.braun_standard.png           $in_dir/$rect_standard       $out_dir/01398.braun_standard.png           $out_dir/01398.txt --size 2048 2560 --sort --charset $charset_orig_standard       --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01399.grau_standard.png            $orig_dir/01399.txt -a $in_dir/01399.grau_standard.png            $in_dir/$rect_standard       $out_dir/01399.grau_standard.png            $out_dir/01399.txt --size 2048 2560 --sort --charset $charset_orig_standard       --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01400.gruen_standard.png           $orig_dir/01400.txt -a $in_dir/01400.gruen_standard.png           $in_dir/$rect_standard       $out_dir/01400.gruen_standard.png           $out_dir/01400.txt --size 2048 2560 --sort --charset $charset_orig_standard       --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01401.lila_standard.png            $orig_dir/01401.txt -a $in_dir/01401.lila_standard.png            $in_dir/$rect_standard       $out_dir/01401.lila_standard.png            $out_dir/01401.txt --size 2048 2560 --sort --charset $charset_orig_standard       --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01402.orange_standard.png          $orig_dir/01402.txt -a $in_dir/01402.orange_standard.png          $in_dir/$rect_standard       $out_dir/01402.orange_standard.png          $out_dir/01402.txt --size 2048 2560 --sort --charset $charset_orig_standard       --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01403.rot_standard.png             $orig_dir/01403.txt -a $in_dir/01403.rot_standard.png             $in_dir/$rect_standard       $out_dir/01403.rot_standard.png             $out_dir/01403.txt --size 2048 2560 --sort --charset $charset_orig_standard       --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01404.tuerkis_standard.png         $orig_dir/01404.txt -a $in_dir/01404.tuerkis_standard.png         $in_dir/$rect_standard       $out_dir/01404.tuerkis_standard.png         $out_dir/01404.txt --size 2048 2560 --sort --charset $charset_orig_standard       --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01405.system_options_small.png     $orig_dir/01405.txt -a $in_dir/01405.system_options_small.png     $in_dir/$rect_options_small  $out_dir/01405.system_options_small.png     $out_dir/01405.txt --size 2048 1536 --sort --charset $charset_orig_options_small  --charset $charset_ja

$mask_png_cmd $out_dir $masked_dir

$modify_font_info_cmd $in_font_cfg $list_file $out_font_cfg

