#! /bin/sh

relocate_font_png_cmd=../relocate_font_png
mask_png_cmd=../mask_png
modify_font_info_cmd=../modify_font_info

orig_dir=ORIG_DATA_UNMASKED
in_dir=FONT_WORK
out_dir=FONT_MERGED
masked_dir=FONT_NEW

rect_standard=standard.txt
rect_standard_small=standard_small.txt
rect_system_card_active=system_card_active.txt
rect_system_action_text=system_action_text.txt
rect_system_standard=system_standard.txt
rect_system_big=system_big.txt
rect_system_small_active=system_small_active.txt
# rect_system_small=system_small.txt
rect_system_menu=system_menu.txt

charset_orig_standard=charset_orig_standard.txt
charset_orig_standard_small=charset_orig_standard_small.txt
charset_orig_system_card_active=charset_orig_system_card_active.txt
charset_orig_system_action_text=charset_orig_system_action_text.txt
charset_orig_system_standard=charset_orig_system_standard.txt
charset_orig_system_big=charset_orig_system_big.txt
charset_orig_system_small_active=charset_orig_system_small_active.txt
# charset_orig_system_small=charset_orig_system_small.txt
charset_orig_system_menu=charset_orig_system_menu.txt
charset_ja=charset_ja.txt
charset_ja_big=charset_ja_big.txt
charset_ja_menu=charset_ja_menu.txt

in_font_cfg=font.cfg
out_font_cfg=font_new.cfg
list_file=rect_list.txt

if [ ! -d $out_dir ]
then
	mkdir -p $out_dir
fi

$relocate_font_png_cmd --overwrap $orig_dir/01255.jerry_standard.png         $orig_dir/01255.txt -a $in_dir/01255.jerry_standard.png         $in_dir/$rect_standard            $out_dir/01255.jerry_standard.png         $out_dir/01255.txt --size 2048 2500 --sort --charset $charset_orig_standard            --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01256.jerry_standard_small.png   $orig_dir/01256.txt -a $in_dir/01256.jerry_standard_small.png   $in_dir/$rect_standard_small      $out_dir/01256.jerry_standard_small.png   $out_dir/01256.txt --size 2048 2048 --sort --charset $charset_orig_standard_small      --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01257.anja.png                   $orig_dir/01257.txt -a $in_dir/01257.anja.png                   $in_dir/$rect_standard            $out_dir/01257.anja.png                   $out_dir/01257.txt --size 2048 2500 --sort --charset $charset_orig_standard            --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01258.evil.png                   $orig_dir/01258.txt -a $in_dir/01258.evil.png                   $in_dir/$rect_standard            $out_dir/01258.evil.png                   $out_dir/01258.txt --size 2048 2500 --sort --charset $charset_orig_standard            --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01259.kitsune.png                $orig_dir/01259.txt -a $in_dir/01259.kitsune.png                $in_dir/$rect_standard            $out_dir/01259.kitsune.png                $out_dir/01259.txt --size 2048 2500 --sort --charset $charset_orig_standard            --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01260.leprechaun.png             $orig_dir/01260.txt -a $in_dir/01260.leprechaun.png             $in_dir/$rect_standard            $out_dir/01260.leprechaun.png             $out_dir/01260.txt --size 2048 2500 --sort --charset $charset_orig_standard            --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01261.marquis.png                $orig_dir/01261.txt -a $in_dir/01261.marquis.png                $in_dir/$rect_standard            $out_dir/01261.marquis.png                $out_dir/01261.txt --size 2048 2500 --sort --charset $charset_orig_standard            --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01262.old_magician.png           $orig_dir/01262.txt -a $in_dir/01262.old_magician.png           $in_dir/$rect_standard            $out_dir/01262.old_magician.png           $out_dir/01262.txt --size 2048 2500 --sort --charset $charset_orig_standard            --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01263.plato.png                  $orig_dir/01263.txt -a $in_dir/01263.plato.png                  $in_dir/$rect_standard            $out_dir/01263.plato.png                  $out_dir/01263.txt --size 2048 2500 --sort --charset $charset_orig_standard            --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01264.spitzweg.png               $orig_dir/01264.txt -a $in_dir/01264.spitzweg.png               $in_dir/$rect_standard            $out_dir/01264.spitzweg.png               $out_dir/01264.txt --size 2048 2500 --sort --charset $charset_orig_standard            --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01265.woodsprite.png             $orig_dir/01265.txt -a $in_dir/01265.woodsprite.png             $in_dir/$rect_standard            $out_dir/01265.woodsprite.png             $out_dir/01265.txt --size 2048 2500 --sort --charset $charset_orig_standard            --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01266.jerry_standard_hovered.png $orig_dir/01266.txt -a $in_dir/01266.jerry_standard_hovered.png $in_dir/$rect_standard            $out_dir/01266.jerry_standard_hovered.png $out_dir/01266.txt --size 2048 2500 --sort --charset $charset_orig_standard            --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01267.system_card_active.png     $orig_dir/01267.txt -a $in_dir/01267.system_card_active.png     $in_dir/$rect_system_card_active  $out_dir/01267.system_card_active.png     $out_dir/01267.txt --size 2048 2500 --sort --charset $charset_orig_system_card_active  --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01268.system_action_text.png     $orig_dir/01268.txt -a $in_dir/01268.system_action_text.png     $in_dir/$rect_system_action_text  $out_dir/01268.system_action_text.png     $out_dir/01268.txt --size 2048 2500 --sort --charset $charset_orig_system_action_text  --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01269.system_extras.png          $orig_dir/01269.txt -a $in_dir/01269.system_extras.png          $in_dir/$rect_system_standard     $out_dir/01269.system_extras.png          $out_dir/01269.txt --size 2048 2048 --sort --charset $charset_orig_system_standard     --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01270.system_big.png             $orig_dir/01270.txt -a $in_dir/01270.system_big.png             $in_dir/$rect_system_big          $out_dir/01270.system_big.png             $out_dir/01270.txt --size 4096 3072 --sort --charset $charset_orig_system_big          --charset $charset_ja_big
$relocate_font_png_cmd --overwrap $orig_dir/01271.others.png                 $orig_dir/01271.txt -a $in_dir/01271.others.png                 $in_dir/$rect_standard            $out_dir/01271.others.png                 $out_dir/01271.txt --size 2048 2500 --sort --charset $charset_orig_standard            --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01272.red.png                    $orig_dir/01272.txt -a $in_dir/01272.red.png                    $in_dir/$rect_standard            $out_dir/01272.red.png                    $out_dir/01272.txt --size 2048 2500 --sort --charset $charset_orig_standard            --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01273.system_small_active.png    $orig_dir/01273.txt -a $in_dir/01273.system_small_active.png    $in_dir/$rect_system_small_active $out_dir/01273.system_small_active.png    $out_dir/01273.txt --size 2048 2048 --sort --charset $charset_orig_system_small_active --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01274.system_standard.png        $orig_dir/01274.txt -a $in_dir/01274.system_standard.png        $in_dir/$rect_system_standard     $out_dir/01274.system_standard.png        $out_dir/01274.txt --size 2048 2048 --sort --charset $charset_orig_system_standard     --charset $charset_ja
# $relocate_font_png_cmd --overwrap $orig_dir/01275.system_small.png           $orig_dir/01275.txt -a $in_dir/01275.system_small.png           $in_dir/$rect_system_small        $out_dir/01275.system_small.png           $out_dir/01275.txt --size 2048 2500 --sort --charset $charset_orig_system_small        --charset $charset_ja
$relocate_font_png_cmd --overwrap $orig_dir/01276.system_menu.png            $orig_dir/01276.txt -a $in_dir/01276.system_menu.png            $in_dir/$rect_system_menu         $out_dir/01276.system_menu.png            $out_dir/01276.txt --size 2048 4096 --sort --charset $charset_orig_system_menu         --charset $charset_ja_menu
$relocate_font_png_cmd --overwrap $orig_dir/01277.system_standard_yellow.png $orig_dir/01277.txt -a $in_dir/01277.system_standard_yellow.png $in_dir/$rect_system_standard     $out_dir/01277.system_standard_yellow.png $out_dir/01277.txt --size 2048 2048 --sort --charset $charset_orig_system_standard     --charset $charset_ja

$mask_png_cmd $out_dir $masked_dir

$modify_font_info_cmd $in_font_cfg $list_file $out_font_cfg

